QGIS Application - Bug report #10166

Anti-aliasing leads to visible borders even if borders have "no pen

2014-05-04 03:10 AM - Johannes Kroeger

Status: Closed
Priority: Normal
Assignee:

Category: Symbology

Affected QGIS version:2.2.0
Operating System: Linux
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18620

Description

The option "Options -> Rendering -> Rendering Quality: Make lines appear less jagged at the expense of some drawing performance”
leads to unwanted visual artifacts when drawing polygons with no borders.

To reproduce:

1. Have some polygons with adjacent/shared borders, eg from a Delaunay/Voronoi.

2. Set "Border style" to "No pen".

3. Set "Options -> Rendering -> Rendering Quality: Make lines appear less jagged at the expense of some drawing performance" to true
by ticking the box. If it is ticked, the borders will appear in the color of the background as visible lines. If the option is unticked, there will be
no visible borders as intended. See the attached image for an example.

| am on Linux using binary nvidia drivers.
QGIS version 2.3.0-Master

QGIS code revision eacb5bd
Compiled against Qt 4.8.6

Running against Qt 4.8.6

QWT Version 6.1.0

QScintilla2 Version 2.8.1

History

#1 - 2014-05-04 04:06 PM - Martin Dobias

You can simply keep using border with the border color equal to the fill color - this will make the artifacts disappear.

#2 - 2014-05-05 12:06 AM - Johannes Kroeger

That hack is only feasible if you use a Single Symbol symbology. Otherwise you would need to update each class to have identical fill and border colors.

#3 - 2014-06-21 08:54 AM - Jiirgen Fischer
- Category set to Symbology

#4 - 2014-08-26 07:00 AM - Sandro Santilli

Maybe there could be an option to make the border style follow the fill style.

#5 - 2014-08-26 07:02 AM - Sandro Santilli
| shall also mention that for me the artifacts are also visible with "Make lines appear less jagged at the expense of some drawing performance” option

unchecked. Just less visible, but occasionally they still emerge.

#6 - 2014-08-26 07:14 AM - Sandro Santilli

Indeed with a "graduated" symbology it is much harder to fix as you have to go in each and every class, and the default classes all have a black border

#7 - 2017-03-27 09:14 AM - Johannes Kroeger
- Status changed from Open to Closed

Duplicate of #1963

For what it's worth, the fix of adding the same color to the no-stroke border does not work for me in a satisfying way in 2.18.5.

Files

jaggedlinesantialiasingvisibleborders.png 22.3KB 2014-05-04 Johannes Kroeger

2025-05-17 22



